Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Registry Error`
- `Registry Error List`
- `Registry Request`
- `Registry Response`

See Also:
  `RegistryPackage.getDocumentRoot()`

Method Summary
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`RegistryErrorType` | `getRegistryError()` Returns the value of the 'Registry Error' containment reference.
`RegistryErrorListType` | `getRegistryErrorList()` Returns the value of the 'Registry Error List' containment reference.
`RegistryRequestType` | `getRegistryRequest()` Returns the value of the 'Registry Request' containment reference.
`RegistryResponseType` | `getRegistryResponse()` Returns the value of the 'Registry Response' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setRegistryError(RegistryErrorType value)` Sets the value of the '`Registry Error`' containment reference.
`void` | `setRegistryErrorList(RegistryErrorListType value)` Sets the value of the '`Registry Error List`' containment reference.
`void` | `setRegistryRequest(RegistryRequestType value)` Sets the value of the '`Registry Request`' containment reference.
`void` | `setRegistryResponse(RegistryResponseType value)` Sets the value of the '`Registry Response`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RegistryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XSISchemaLocation()`

### getRegistryError

    RegistryErrorType getRegistryError()

  Returns the value of the 'Registry Error' containment reference.

  If the meaning of the 'Registry Error' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Error' containment reference.
  See Also:
    `setRegistryError(RegistryErrorType)`, `RegistryPackage.getDocumentRoot_RegistryError()`

### setRegistryError

    void setRegistryError(RegistryErrorType value)

  Sets the value of the '`Registry Error`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error' containment reference.
  See Also:
    `getRegistryError()`

### getRegistryErrorList

    RegistryErrorListType getRegistryErrorList()

  Returns the value of the 'Registry Error List' containment reference. The RegistryErrorList is derived from the ErrorList element from the ebXML Message Service Specification

  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getDocumentRoot_RegistryErrorList()`

### setRegistryErrorList

    void setRegistryErrorList(RegistryErrorListType value)

  Sets the value of the '`Registry Error List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `getRegistryErrorList()`

### getRegistryRequest

    RegistryRequestType getRegistryRequest()

  Returns the value of the 'Registry Request' containment reference.

  If the meaning of the 'Registry Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Request' containment reference.
  See Also:
    `setRegistryRequest(RegistryRequestType)`, `RegistryPackage.getDocumentRoot_RegistryRequest()`

### setRegistryRequest

    void setRegistryRequest(RegistryRequestType value)

  Sets the value of the '`Registry Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Request' containment reference.
  See Also:
    `getRegistryRequest()`

### getRegistryResponse

    RegistryResponseType getRegistryResponse()

  Returns the value of the 'Registry Response' containment reference.

  If the meaning of the 'Registry Response' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Response' containment reference.
  See Also:
    `setRegistryResponse(RegistryResponseType)`, `RegistryPackage.getDocumentRoot_RegistryResponse()`

### setRegistryResponse

    void setRegistryResponse(RegistryResponseType value)

  Sets the value of the '`Registry Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Response' containment reference.
  See Also:
    `getRegistryResponse()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD